pub struct MyStruct {
    name: String,
}

impl MyStruct {

    pub fn new(name: String) -> Self {
        Self {
            name
        }
    }

    pub fn set_name(&mut self, name: String) {
        self.name = name
    }

    pub fn get_name(&self) -> String {
        self.name.to_string()
    }
}
